Name: gluegen
Version: 081107cvs 
Release: alt3

Summary: Tool that automatically generatesi the Java and JNI code necessary to call C libraries.  
License: BSD 
Group: Development/Java
Url: https://gluegen.dev.java.net/
Packager: Denis Medvedev <nbr@altlinux.ru>

Source: gluegen.tar.bz2 

# Common dependencies
BuildPreReq: /proc  rpm-build-java java-1.5.0-sun-devel antlr gcc-c++  libmesa-devel xorg-x11-mesagl ant-antlr ant-contrib cpptasks glibc-devel  glibc-core
Requires: java-common ant-antlr glibc-core glibc-devel


%description
GlueGen is a tool which automatically generates the Java and JNI code necessary to call C libraries. It reads as input ANSI C header files and separate configuration files which provide control over many aspects of the glue code generation. GlueGen uses a complete ANSI C parser and an internal representation (IR) capable of representing all C types to represent the APIs for which it generates interfaces. It has the ability to perform significant transformations on the IR before glue code emission. GlueGen is currently powerful enough to bind even low-level APIs such as the Java Native Interface (JNI) and the AWT Native Interface (JAWT) back up to the Java programming language. GlueGen is currently used to generate the JOGL interface to the OpenGL 3D graphics API and the JOAL interface to the OpenAL audio libraries


%package manual
Summary: Manual for %name
Group: Documentation

%description manual
Documentation for %name

%prep
%setup -n gluegen
# remove all binary libs
cd ..
find . -name "*.jar" -exec rm -f {} \;
find . -name "*.zip" -exec rm -f {} \;
find . -name "*.class" -exec rm -f {} \;

cp gluegen/make/gluegen.properties %homedir 

%build
%add_classpath %_datadir/java
%add_classpath %_datadir/ant/lib/
%add_classpath %_datadir/ant/lib/ant-antlr.jar


cd %_builddir/gluegen/make/
%ant_build -lib  %_datadir/java 
	


%install
# jars
install -d -m 755 %buildroot%_javadir/
install -d -m 755 %buildroot%_libdir/
install -m 644 %_builddir/gluegen/build/gluegen*.jar %buildroot%_javadir/
install -m 644 %_builddir/gluegen/build/obj/*.so %buildroot%_libdir/



%files
%_javadir/*
%_libdir/*
%doc  LICENSE.txt

%files manual
%doc doc/manual/*


%changelog
* Sat Dec 22 2007 Denis Medvedev <nbr@altlinux.ru> 081107cvs-alt3
- Fixed typo, that prevents x86_64 build

* Sat Dec 22 2007 Denis Medvedev <nbr@altlinux.ru> 081107cvs-alt2
- Added missing .so

* Tue Oct 30 2007 Denis Medvedev <nbr@altlinux.ru> 081107cvs-alt1
- Initial ALT build

